@import url("https://fonts.cdnfonts.com/css/beyond-the-mountains");
@import url("https://fonts.cdnfonts.com/css/bebas-neue");

body {
  font-family: "Arial", sans-serif;
  background-color: #f4f4f4;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 100vh;
  padding: 0 0 0 40px;
}
.calendar-container {
  width: 80%;
  display: flex;
  justify-content: center;
}
.calendar {
  font-family: "Beyond The Mountains", sans-serif;
  border: 1px solid #cccccc;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 80%;
  max-width: 730px;
  height: 80vh;
  max-height: 730px;
  background-color: #006d1e;
  color: #fff;
  padding: 30px;
}

.calendar-title {
  padding: 10px 0 20px 0;
  text-align: center;
  font-size: 25px;
}
.calendar-header {
  text-align: center;
  font-size: 40px;
  padding: 10px 0 0 0;
}
.calendar-border {
  border: 1px solid #fff;
  padding: 15px 30px;
}

.day-body {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-auto-rows: 1fr;
  align-items: center;
}

.day-header {
  display: flex;
  color: #fff;
  font-size: 1.2em;
  font-family: "Bebas Neue", sans-serif;
  font-weight: bold;
}

.day-header > div {
  flex: 1;
  text-align: center;
}

.day {
  font-family: "Bebas Neue", sans-serif;
  position: relative;
  text-align: center;
  border: 3px solid #006d1e;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 1rem;
  background-color: #fcc60e;
  font-weight: bold;
  height: 90px;
  width: 90px;
  overflow: hidden;
}

.day > span {
  position: absolute;
  top: 5px;
  right: 5px;
  color: #111;
}

.noMesActual {
  background-color: #fcc40e7b;
}

.noMesActual > span {
  color: #11111169;
}

.form-container {
  display: flex;
  flex-direction: column;
  align-items: left;
  width: 20%;
  align-content: space-around;
}

.form-container div {
  padding: 10px 0;
  display: flex;
  align-items: center;
}

.form-container input {
  margin-left: 10px;
  display: inline-block;
  vertical-align: middle;
}

.form-container span {
  margin-left: 10px;
  display: inline-block;
  vertical-align: middle;
}

#nombreMes {
  margin-left: 10px;
  font-weight: bold;
  color: #006d1e;
}

.form-container button {
  margin-top: 10px;
  padding: 8px 16px;
  background-color: #006d1e;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#botonLimpiarImagen {
  margin: 0;
  background-color: #00000000;
  color: gray;
}

.day-image {
  max-width: 90px;
  max-height: 70px;
  object-fit: cover; 
}

.day-title {
  color: #006d1e;
}
